## cascading.management
Interface DocumentService

All Superinterfaces:
  CascadingService

All Known Implementing Classes:
  CascadingServices.NullDocumentService

    public interface DocumentService

extends CascadingService

Interface DocumentService provides coarse grained hooks for managing various statistics.

Field Summary
`static String` `DOCUMENT_SERVICE_CLASS_PROPERTY`

Method Summary
`List<Map<String,Object>>` `find(String type, String[] query)`
`Map` `get(String type, String key)`
`void` `put(String key, Object object)`
`void` `put(String type, String key, Object object)`
`boolean` `supportsFind()`

Methods inherited from interface cascading.provider.CascadingService
`isEnabled, setProperties, startService, stopService`

Field Detail

### DOCUMENT_SERVICE_CLASS_PROPERTY

    static final String DOCUMENT_SERVICE_CLASS_PROPERTY

See Also:
  Constant Field Values

Method Detail

### put

    void put(String key,
             Object object)

### put

    void put(String type,
             String key,
             Object object)

### get

    Map get(String type,
            String key)

### supportsFind

    boolean supportsFind()

### find

    List<Map<String,Object>> find(String type,
                                  String[] query)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.